RIPD(8)

NAME
ripd - Routing Information Protocol daemon

SYNOPSIS
ripd [-dnv] [-D macro=value] [-f file] [-s socket]

DESCRIPTION
ripd is the Routing Information Protocol (RIP) daemon which manages routers' routing tables.

A running ripd can be controlled with the ripctl(8) utility.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, ripd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output.

FILES
/etc/ripd.conf
    Default ripd configuration file.
/var/run/ripd.sock
    UNIX-domain socket used for communication with ripctl(8).

SEE ALSO
ripd.conf(5), rc.conf(8), ripctl(8)

STANDARDS
F. Baker, R. Atkinson, January 1997, RFC 2082, RIP-2 MD5 Authentication.

G. Malkin, November 1998, RFC 2453, RIP Version 2.

HISTORY
The ripd program first appeared in OpenBSD 4.1.